Skip to main content

List Vms

GET /v1/vms

Authentication

Requires authentication via: OAuth2PasswordBearer.

Parameters

NameInTypeRequiredDescriptionConstraints
X-API-Keyheaderstring | nullNonullable

Responses

200

Successful Response

application/json

Resolved schema:

{
"type": "array",
"items": {
"properties": {
"vm_id": {
"type": "string",
"title": "Vm Id"
},
"session_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Session Id"
},
"status": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Status"
},
"created_at": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Created At"
},
"start_time": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Start Time"
},
"end_time": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "End Time"
},
"ssh_host": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Ssh Host"
},
"image_variant": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Image Variant"
}
},
"type": "object",
"required": [
"vm_id"
],
"title": "VMInfoResponse"
},
"title": "Response List Vms V1 Vms Get"
}

Field details:

FieldTypeRequiredDescriptionConstraints
[]objectYes
[].vm_idstringYes
[].session_idstring | nullNonullable
[].statusstring | nullNonullable
[].created_atstring | nullNonullable
[].start_timestring | nullNonullable
[].end_timestring | nullNonullable
[].ssh_hoststring | nullNonullable
[].image_variantstring | nullNonullable

422

Validation Error

application/json

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo